<?xml version="1.0" encoding="UTF-8"?>
<LABCConfig>
    <lightSensorRateMills>300</lightSensorRateMills>
    <BrighenDebounceTime>1000</BrighenDebounceTime>
    <DarkenDebounceTime>1000</DarkenDebounceTime>
    <BrightenDebounceTimeParaBig>0.0</BrightenDebounceTimeParaBig>
    <DarkenDebounceTimeParaBig>0.0</DarkenDebounceTimeParaBig>
    <BrightenDeltaLuxPara>0.0</BrightenDeltaLuxPara>
    <DarkenDeltaLuxPara>0.0</DarkenDeltaLuxPara>
    <StabilityConstant>5</StabilityConstant>
    <StabilityTime1>20</StabilityTime1>
    <StabilityTime2>10</StabilityTime2>
    <BrighenDebounceTimeForSmallThr>4000</BrighenDebounceTimeForSmallThr>
    <DarkenDebounceTimeForSmallThr>4000</DarkenDebounceTimeForSmallThr>
    <RatioForBrightnenSmallThr>0.5</RatioForBrightnenSmallThr>
    <RatioForDarkenSmallThr>10.0</RatioForDarkenSmallThr>
    <RebootAutoModeEnable>false</RebootAutoModeEnable>
    <DarkTimeDelayEnable>true</DarkTimeDelayEnable>
    <DarkTimeDelay>1000</DarkTimeDelay>
    <DarkTimeDelayLuxThreshold>20</DarkTimeDelayLuxThreshold>
    <CoverModeFirstLux>2210</CoverModeFirstLux>
    <LastCloseScreenEnable>false</LastCloseScreenEnable>
    <CoverModeBrightenResponseTime>500</CoverModeBrightenResponseTime>
    <CoverModeDarkenResponseTime>1500</CoverModeDarkenResponseTime>
    <CoverModeDayEnable>true</CoverModeDayEnable>
    <CoverModeDayBrightness>154</CoverModeDayBrightness>
    <ConverModeDayBeginTime>6</ConverModeDayBeginTime>
    <CoverModeDayEndTime>18</CoverModeDayEndTime>
    <PostMaxMinAvgFilterNoFilterNum>7</PostMaxMinAvgFilterNoFilterNum>
    <PostMaxMinAvgFilterNum>5</PostMaxMinAvgFilterNum>
    <PreWeightedMeanFilterNoFilterNum>7</PreWeightedMeanFilterNoFilterNum>
    <PreWeightedMeanFilterNum>3</PreWeightedMeanFilterNum>
    <PreWeightedMeanFilterMaxFuncLuxNum>3</PreWeightedMeanFilterMaxFuncLuxNum>
    <PreWeightedMeanFilterAlpha>0.5</PreWeightedMeanFilterAlpha>
    <PreWeightedMeanFilterLuxTh>20</PreWeightedMeanFilterLuxTh>
    <DarkTimeDelayBeta0>3000</DarkTimeDelayBeta0>
    <DarkTimeDelayBeta1>1.0</DarkTimeDelayBeta1>
    <DarkTimeDelayBeta2>0.333</DarkTimeDelayBeta2>
    <KeyguardModeEnable>true</KeyguardModeEnable>
    <KeyguardResponseBrightenTime>300</KeyguardResponseBrightenTime>
    <KeyguardResponseDarkenTime>-1</KeyguardResponseDarkenTime>
    <KeyguardAnimationBrightenTime>0.5</KeyguardAnimationBrightenTime>
    <KeyguardAnimationDarkenTime>-1</KeyguardAnimationDarkenTime>
    <KeyguardLuxThreshold>20</KeyguardLuxThreshold>
    <OutdoorLowerLuxThreshold>1000</OutdoorLowerLuxThreshold>
    <OutdoorAnimationBrightenTime>2</OutdoorAnimationBrightenTime>
    <OutdoorAnimationDarkenTime>-1</OutdoorAnimationDarkenTime>
    <OutdoorResponseBrightenRatio>0.7</OutdoorResponseBrightenRatio>
    <OutdoorResponseDarkenRatio>-1</OutdoorResponseDarkenRatio>
    <OutdoorResponseBrightenTime>650</OutdoorResponseBrightenTime>
    <OutdoorResponseDarkenTime>-1</OutdoorResponseDarkenTime>
    <OutdoorResponseCount>5</OutdoorResponseCount>
    <ProximityLuxThreshold>50</ProximityLuxThreshold>
    <ProximityResponseBrightenTime>15000</ProximityResponseBrightenTime>
    <InitDoubleSensorInterfere>8.0f</InitDoubleSensorInterfere>
    <InitNumLastBuffer>10</InitNumLastBuffer>
    <InitValidCloseTime>-1</InitValidCloseTime>
    <InitUpperLuxThreshold>20</InitUpperLuxThreshold>
    <InitSigmoidFuncSlope>0.75f</InitSigmoidFuncSlope>
    <InitSlowReponseUpperLuxThreshold>10</InitSlowReponseUpperLuxThreshold>
    <InitSlowReponseBrightTime>1000</InitSlowReponseBrightTime>
    <ManualAnimationBrightenTime>1.0</ManualAnimationBrightenTime>
    <ManualAnimationDarkenTime>4.0</ManualAnimationDarkenTime>
    <ManualPowerSavingBrighnessLineEnable>true</ManualPowerSavingBrighnessLineEnable>
    <ManualPowerSavingAnimationBrightenTime>3.0</ManualPowerSavingAnimationBrightenTime>
    <ManualPowerSavingAnimationDarkenTime>20.0</ManualPowerSavingAnimationDarkenTime>
    <ManualThermalModeAnimationBrightenTime>3.0</ManualThermalModeAnimationBrightenTime>
    <ManualThermalModeAnimationDarkenTime>4.0</ManualThermalModeAnimationDarkenTime>
    <DayModeAlgoEnable>true</DayModeAlgoEnable>
    <DayModeSwitchTime>45</DayModeSwitchTime>
    <DayModeBeginTime>5</DayModeBeginTime>
    <DayModeEndTime>0</DayModeEndTime>
    <DayModeModifyNumPoint>2</DayModeModifyNumPoint>
    <DayModeModifyMinBrightness>5</DayModeModifyMinBrightness>
    <OffsetResetSwitchTime>30</OffsetResetSwitchTime>
    <OffsetResetEnable>true</OffsetResetEnable>
    <DarkLightLevelMinThreshold>0</DarkLightLevelMinThreshold>
    <DarkLightLevelMaxThreshold>10</DarkLightLevelMaxThreshold>
    <DarkLightLevelRatio>1.5</DarkLightLevelRatio>
    <OminLevelModeEnable>true</OminLevelModeEnable>
    <OminLevelOffsetCountEnable>false</OminLevelOffsetCountEnable>
    <OminLevelDayModeEnable>true</OminLevelDayModeEnable>
    <OminLevelCountValidLuxTh>5</OminLevelCountValidLuxTh>
    <OminLevelCountValidTimeTh>120</OminLevelCountValidTimeTh>
    <OminLevelCountResetLongTimeTh>20160</OminLevelCountResetLongTimeTh>
    <EyeProtectionSplineEnable>false</EyeProtectionSplineEnable>
    <MonitorEnable>true</MonitorEnable>
    <SceneProcessing>
        <SceneMaxPoints>171</SceneMaxPoints>
        <SceneGapPoints>29</SceneGapPoints>
        <SceneMinPoints>29</SceneMinPoints>
        <SceneAmbientLuxMaxWeight>0.5</SceneAmbientLuxMaxWeight>
        <SceneAmbientLuxMinWeight>0.5</SceneAmbientLuxMinWeight>
    </SceneProcessing>
    <PreProcessing>
        <BrightTimeDelayEnable>false</BrightTimeDelayEnable>
        <BrightTimeDelay>3000</BrightTimeDelay>
        <BrightTimeDelayLuxThreshold>50</BrightTimeDelayLuxThreshold>
        <PreMethodNum>2</PreMethodNum>
        <PreMeanFilterNoFilterNum>7</PreMeanFilterNoFilterNum>
        <PreMeanFilterNum>3</PreMeanFilterNum>
        <PostMethodNum>0</PostMethodNum>
        <PostMeanFilterNoFilterNum>7</PostMeanFilterNoFilterNum>
        <PostMeanFilterNum>3</PostMeanFilterNum>
    </PreProcessing>
    <BrightenlinePoints>
        <Point>0,2</Point>
        <Point>5,10</Point>
        <Point>10,19</Point>
        <Point>20,89</Point>
        <Point>30,200</Point>
        <Point>100,439</Point>
        <Point>500,739</Point>
        <Point>1000,989</Point>
        <Point>3000,1000</Point>
        <Point>4000,2000</Point>
        <Point>10000,3000</Point>
        <Point>20000,10000</Point>
        <Point>40000,40000</Point>
    </BrightenlinePoints>
    <DarkenlinePoints>
        <Point>0,1</Point>
        <Point>1,1</Point>
        <Point>10,10</Point>
        <Point>20,15</Point>
        <Point>50,35</Point>
        <Point>100,80</Point>
        <Point>200,170</Point>
        <Point>300,225</Point>
        <Point>500,273</Point>
        <Point>600,322</Point>
        <Point>1200,600</Point>
        <Point>1800,600</Point>
        <Point>4000,2000</Point>
        <Point>8000,4000</Point>
        <Point>12000,6000</Point>
        <Point>40000,20000</Point>
    </DarkenlinePoints>
    <DefaultBrightness>100</DefaultBrightness>
    <BrightnessCalibrationEnabled>true</BrightnessCalibrationEnabled>
	<OffsetDarkenAlphaLeft>0</OffsetDarkenAlphaLeft>
    <DefaultBrightnessPoints>
	<Point>0,5</Point>
	<Point>20,55</Point>
	<Point>50,61</Point>
	<Point>300,80</Point>
	<Point>400,90</Point>
	<Point>1000,126</Point>
	<Point>2500,196</Point>
	<Point>3000,220</Point>
	<Point>4000,255</Point>
	<Point>40000,255</Point>
    </DefaultBrightnessPoints>
    <CoverModeBrighnessLinePoints>
        <Point>0,25</Point>
        <Point>20,55</Point>
        <Point>50,61</Point>
        <Point>1000,126</Point>
        <Point>3000,220</Point>
        <Point>4000,255</Point>
        <Point>10000,255</Point>
        <Point>40000,255</Point>
    </CoverModeBrighnessLinePoints>
    <CameraBrightnessPoints>
        <Point>0,42</Point>
        <Point>90,112</Point>
        <Point>106,115</Point>
        <Point>143,123</Point>
        <Point>174,126</Point>
        <Point>800,132</Point>
        <Point>1000,140</Point>
        <Point>1600,184</Point>
        <Point>1700,190</Point>
        <Point>2700,215</Point>
        <Point>3100,224</Point>
        <Point>4000,243</Point>
        <Point>5000,255</Point>
        <Point>40000,255</Point>
    </CameraBrightnessPoints>
    <PowerSavingBrightnessPoints>
        <Point>0,5</Point>
	<Point>20,55</Point>
	<Point>29,56</Point>
	<Point>50,57</Point>
	<Point>300,66</Point>
	<Point>400,69</Point>
	<Point>500,75</Point>
	<Point>1000,99</Point>
	<Point>2500,165</Point>
	<Point>3000,191</Point>
	<Point>4000,255</Point>
	<Point>40000,255</Point>
    </PowerSavingBrightnessPoints>
    <OminLevelCountLevelLinePoints>
        <Point>5,6</Point>
        <Point>7,7</Point>
        <Point>11,8</Point>
        <Point>20,8</Point>
    </OminLevelCountLevelLinePoints>
    <PowerSavingBrighnessLineEnable>true</PowerSavingBrighnessLineEnable>
    <BrightenGradualTime>3.0</BrightenGradualTime>
    <DarkenGradualTime>20.0</DarkenGradualTime>
    <CameraModeEnable>true</CameraModeEnable>
    <CameraAnimationTime>3.0</CameraAnimationTime>
    <BrightenThresholdFor255>10001</BrightenThresholdFor255>
    <DarkenTargetFor255>0</DarkenTargetFor255>
    <DarkenCurrentFor255>1300</DarkenCurrentFor255>
    <AutoFastTimeFor255>0.5</AutoFastTimeFor255>
    <ManualFastTimeFor255>0.5</ManualFastTimeFor255>
    <DimTime>3.0</DimTime>
    <AnimationEqualRatioEnable>true</AnimationEqualRatioEnable>
    <ScreenBrightnessMinNit>2</ScreenBrightnessMinNit>
    <ScreenBrightnessMaxNit>450</ScreenBrightnessMaxNit>
    <VariableStep>
        <DarkenGradualTimeMax>58.0f</DarkenGradualTimeMax>
        <DarkenGradualTimeMin>8.0f</DarkenGradualTimeMin>
        <AnimatedStepRoundEnabled>true</AnimatedStepRoundEnabled>
    </VariableStep>
    <Proximity>
        <AllowLabcUseProximity>true</AllowLabcUseProximity>
        <ProximityPositiveDebounceTime>150</ProximityPositiveDebounceTime>
        <ProximityNegativeDebounceTime>3000</ProximityNegativeDebounceTime>
    </Proximity>

    <ManualMode>1</ManualMode>
    <ManualBrightnessMaxLimit>255</ManualBrightnessMaxLimit>
    <ManualBrightnessMinLimit>4</ManualBrightnessMinLimit>
    <OutDoorThreshold>40000</OutDoorThreshold>
    <InDoorThreshold>5000</InDoorThreshold>
    <ManualBrighenDebounceTime>3000</ManualBrighenDebounceTime>
    <ManualDarkenDebounceTime>3000</ManualDarkenDebounceTime>
    <ManualBrightenLinePoints>
        <Point>0,1000</Point>
        <Point>1000,20000</Point>
        <Point>10000,30000</Point>
        <Point>40000,20000</Point>
    </ManualBrightenLinePoints>
    <ManualDarkenLinePoints>
        <Point>0,1</Point>
        <Point>1,1</Point>
        <Point>500,500</Point>
        <Point>1000,1000</Point>
        <Point>2000,2000</Point>
        <Point>40000,40000</Point>
    </ManualDarkenLinePoints>
    <AmbientLuxValidBrightnessPoints>
        <Point>0,5,24</Point>
        <Point>20,24,60</Point>
        <Point>50,46,73</Point>
        <Point>300,68,100</Point>
        <Point>400,74,111</Point>
        <Point>1000,88,144</Point>
        <Point>2500,180,227</Point>
        <Point>3000,200,246</Point>
        <Point>4000,241,255</Point>
        <Point>40000,241,255</Point>
    </AmbientLuxValidBrightnessPoints>
</LABCConfig>
